package poker.domain

import poker.domain.Naipe._
import poker.domain.Valor._

class Baralho() extends PilhaDeCartas(52) {
  adicionaCartas()
  
  private def adicionaCartas() {
    (PAUS until OUROS+1).foreach { naipe:Int =>
      (2 until AS+1).foreach { valor:Int =>
	      push(new Carta(valor, naipe))
	    }
	  }
  }
  
  // Bugado:

//  def adicionaCartas() {
//	  (2 until AS).foreach { valor:Int =>
//	    (PAUS until OUROS).foreach { naipe:Int =>
//	      push(new Carta(valor, naipe))
//	    }
//	  }
//  }

}
